受注グループステータス一覧取得
GET
/order_group_statuses
const url = 'https://api.smaregi.dev/TARGET-CONTRACT-ID/ec-b2b/order_group_statuses?limit=10&page=1';const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url 'https://api.smaregi.dev/TARGET-CONTRACT-ID/ec-b2b/order_group_statuses?limit=10&page=1' \ --header 'Authorization: Bearer <token>'受注グループステータスの一覧を取得します。
Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Query Parameters
Section titled “Query Parameters”limit
integer
取得件数
page
integer
ページ
Responses
Section titled “Responses”取得成功
Media typeapplication/json
Array
OrderGroupStatusResponseobject
id
受注グループステータスID
string format: uuid
name
名前
string
displayName
表示名
string
progress
ステータス進捗度
ステータスの進捗段階を表す数値。値が小さいほど初期段階を示します。将来ステータスを挟み込めるよう、間隔を空けた段階値(例: 100, 200, 400 など)が採用されています。具体的な値はステータスごとに異なります。
integer
Examples
Exampledefault
[ { "id": "12345678-1234-1234-1234-1234567890ab", "name": "未対応", "displayName": "未対応", "progress": 200 }, { "id": "12345678-1234-1234-1234-1234567890cd", "name": "受付済", "displayName": "受付済", "progress": 400 }, { "id": "12345678-1234-1234-1234-1234567890ef", "name": "確定済", "displayName": "確定済", "progress": 600 }]Headers
Section titled “Headers”Link
string
<前ページURI>; rel="prev", <次ページURI>; rel="next"
- 入力チェックエラーの場合
Media typeapplication/json
object
type
required
string
title
required
string
detail
string
status
integer
Examples
{ "type": "about:blank", "title": "Bad Request", "detail": "request_json:[limit]は100以下の数字を指定してください。", "status": 400}{ "type": "about:blank", "title": "Bad Request", "detail": "request_json:[page]は1以上の数字を指定してください。", "status": 400}